/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.model;

import java.math.BigDecimal;

/**
 * Representation of a transaction.
 * @author BEAUVAIS ANTOINE
 */
public class Transaction {
    
    private final Integer item;
    
    private final Integer type;
    
    private final BigDecimal amount;
    
    private final Integer quantity;
    
    public Transaction(Integer item, Integer type, BigDecimal amount,
            Integer quantity)
    {
        this.item = item;
        this.type = type;
        this.amount = amount;
        this.quantity = quantity;
    }
    
    public Integer getItem()
    {
        return this.item;
    }
    
    public Integer getType()
    {
        return this.type;
    }
    
    public BigDecimal getAmount()
    {
        return this.amount;
    }
    
    public Integer getQuantity()
    {
        return this.quantity;
    }
    
    public boolean checkIfValid()
    {
        return (this.item != null && this.type != null
                && this.amount != null && this.quantity != null);
    }
    
}
